<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxCellRenderer (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxCellRenderer (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCellRenderer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util</a></div>
<h2 title="Class mxCellRenderer" class="title">Class mxCellRenderer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.util.mxCellRenderer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxCellRenderer</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxCellRenderer.CanvasFactory.html" title="class in hk.quantr.mxgraph.util">mxCellRenderer.CanvasFactory</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.awt.image.BufferedImage</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createBufferedImage(hk.quantr.mxgraph.view.mxGraph,java.lang.Object%5B%5D,double,java.awt.Color,boolean,hk.quantr.mxgraph.util.mxRectangle)">createBufferedImage</a></span>&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                   java.lang.Object[]&nbsp;cells,
                   double&nbsp;scale,
                   java.awt.Color&nbsp;background,
                   boolean&nbsp;antiAlias,
                   <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.awt.image.BufferedImage</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createBufferedImage(hk.quantr.mxgraph.view.mxGraph,java.lang.Object%5B%5D,double,java.awt.Color,boolean,hk.quantr.mxgraph.util.mxRectangle,hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">createBufferedImage</a></span>&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                   java.lang.Object[]&nbsp;cells,
                   double&nbsp;scale,
                   java.awt.Color&nbsp;background,
                   boolean&nbsp;antiAlias,
                   <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip,
                   <a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;graphicsCanvas)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static org.w3c.dom.Document</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createHtmlDocument(hk.quantr.mxgraph.view.mxGraph,java.lang.Object%5B%5D,double,java.awt.Color,hk.quantr.mxgraph.util.mxRectangle)">createHtmlDocument</a></span>&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                  java.lang.Object[]&nbsp;cells,
                  double&nbsp;scale,
                  java.awt.Color&nbsp;background,
                  <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static org.w3c.dom.Document</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createSvgDocument(hk.quantr.mxgraph.view.mxGraph,java.lang.Object%5B%5D,double,java.awt.Color,hk.quantr.mxgraph.util.mxRectangle)">createSvgDocument</a></span>&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                 java.lang.Object[]&nbsp;cells,
                 double&nbsp;scale,
                 java.awt.Color&nbsp;background,
                 <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static org.w3c.dom.Document</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createVmlDocument(hk.quantr.mxgraph.view.mxGraph,java.lang.Object%5B%5D,double,java.awt.Color,hk.quantr.mxgraph.util.mxRectangle)">createVmlDocument</a></span>&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                 java.lang.Object[]&nbsp;cells,
                 double&nbsp;scale,
                 java.awt.Color&nbsp;background,
                 <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../canvas/mxICanvas.html" title="interface in hk.quantr.mxgraph.canvas">mxICanvas</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawCells(hk.quantr.mxgraph.view.mxGraph,java.lang.Object%5B%5D,double,hk.quantr.mxgraph.util.mxRectangle,hk.quantr.mxgraph.util.mxCellRenderer.CanvasFactory)">drawCells</a></span>&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
         java.lang.Object[]&nbsp;cells,
         double&nbsp;scale,
         <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip,
         <a href="mxCellRenderer.CanvasFactory.html" title="class in hk.quantr.mxgraph.util">mxCellRenderer.CanvasFactory</a>&nbsp;factory)</code></th>
<td class="colLast">
<div class="block">Draws the given cells using a Graphics2D canvas and returns the buffered image
 that represents the cells.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="drawCells(hk.quantr.mxgraph.view.mxGraph,java.lang.Object[],double,hk.quantr.mxgraph.util.mxRectangle,hk.quantr.mxgraph.util.mxCellRenderer.CanvasFactory)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawCells</h4>
<pre class="methodSignature">public static&nbsp;<a href="../canvas/mxICanvas.html" title="interface in hk.quantr.mxgraph.canvas">mxICanvas</a>&nbsp;drawCells&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                                  java.lang.Object[]&nbsp;cells,
                                  double&nbsp;scale,
                                  <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip,
                                  <a href="mxCellRenderer.CanvasFactory.html" title="class in hk.quantr.mxgraph.util">mxCellRenderer.CanvasFactory</a>&nbsp;factory)</pre>
<div class="block">Draws the given cells using a Graphics2D canvas and returns the buffered image
 that represents the cells.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - Graph to be painted onto the canvas.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the image that represents the canvas.</dd>
</dl>
</li>
</ul>
<a id="createBufferedImage(hk.quantr.mxgraph.view.mxGraph,java.lang.Object[],double,java.awt.Color,boolean,hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBufferedImage</h4>
<pre class="methodSignature">public static&nbsp;java.awt.image.BufferedImage&nbsp;createBufferedImage&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                                                               java.lang.Object[]&nbsp;cells,
                                                               double&nbsp;scale,
                                                               java.awt.Color&nbsp;background,
                                                               boolean&nbsp;antiAlias,
                                                               <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip)</pre>
</li>
</ul>
<a id="createBufferedImage(hk.quantr.mxgraph.view.mxGraph,java.lang.Object[],double,java.awt.Color,boolean,hk.quantr.mxgraph.util.mxRectangle,hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBufferedImage</h4>
<pre class="methodSignature">public static&nbsp;java.awt.image.BufferedImage&nbsp;createBufferedImage&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                                                               java.lang.Object[]&nbsp;cells,
                                                               double&nbsp;scale,
                                                               java.awt.Color&nbsp;background,
                                                               boolean&nbsp;antiAlias,
                                                               <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip,
                                                               <a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;graphicsCanvas)</pre>
</li>
</ul>
<a id="createHtmlDocument(hk.quantr.mxgraph.view.mxGraph,java.lang.Object[],double,java.awt.Color,hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createHtmlDocument</h4>
<pre class="methodSignature">public static&nbsp;org.w3c.dom.Document&nbsp;createHtmlDocument&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                                                      java.lang.Object[]&nbsp;cells,
                                                      double&nbsp;scale,
                                                      java.awt.Color&nbsp;background,
                                                      <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip)</pre>
</li>
</ul>
<a id="createSvgDocument(hk.quantr.mxgraph.view.mxGraph,java.lang.Object[],double,java.awt.Color,hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSvgDocument</h4>
<pre class="methodSignature">public static&nbsp;org.w3c.dom.Document&nbsp;createSvgDocument&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                                                     java.lang.Object[]&nbsp;cells,
                                                     double&nbsp;scale,
                                                     java.awt.Color&nbsp;background,
                                                     <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip)</pre>
</li>
</ul>
<a id="createVmlDocument(hk.quantr.mxgraph.view.mxGraph,java.lang.Object[],double,java.awt.Color,hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createVmlDocument</h4>
<pre class="methodSignature">public static&nbsp;org.w3c.dom.Document&nbsp;createVmlDocument&#8203;(<a href="../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                                                     java.lang.Object[]&nbsp;cells,
                                                     double&nbsp;scale,
                                                     java.awt.Color&nbsp;background,
                                                     <a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCellRenderer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
